"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("events");
const Enums_1 = require("./consts/Enums");
class BaseClient extends events_1.EventEmitter {
    constructor() {
        super();
        this.status = Enums_1.ClientStatus.Disconnected;
        this.RECONNECT_INTERVAL = 1000;
        this.setClientStatus = (status) => {
            this.status = status;
        };
        this.clearReconnectTimer = () => {
            if (this.reconnectionTimer) {
                clearInterval(this.reconnectionTimer);
                this.reconnectionTimer = undefined;
            }
        };
    }
    isConnected() {
        return this.status === Enums_1.ClientStatus.Connected;
    }
    isDisconnected() {
        return this.status === Enums_1.ClientStatus.Disconnected;
    }
}
exports.default = BaseClient;
//# sourceMappingURL=BaseClient.js.map