import { ApiConfig } from './api/Api';
import { PairConfig } from './service/Service';
import { CurrencyConfig } from './consts/Types';
import { BoltzConfig } from './boltz/BoltzClient';
import { BackupConfig } from './backup/BackupScheduler';
import { NotificationConfig } from './notifications/NotificationProvider';
declare class Config {
    logpath: string;
    loglevel: string;
    dbpath: string;
    api: ApiConfig;
    boltz: BoltzConfig;
    notification: NotificationConfig;
    backup: BackupConfig;
    currencies: CurrencyConfig[];
    pairs: PairConfig[];
    private defaultDataDir;
    private dataDir;
    private configpath;
    constructor();
    init: (argv: any) => void;
    /**
     * Parse either command line arguments or options in a config file
     */
    private parseParameters;
    private getDataDirPaths;
}
export default Config;
export { PairConfig };
