import { Request, Response } from 'express';
import Logger from '../Logger';
import Service from '../service/Service';
declare class Controller {
    private logger;
    private service;
    private pendingSwaps;
    private pendingSwapInfos;
    constructor(logger: Logger, service: Service);
    init: () => Promise<void>;
    getPairs: (_req: Request, res: Response) => void;
    getFeeEstimation: (_req: Request, res: Response) => Promise<void>;
    swapStatus: (req: Request, res: Response) => Promise<void>;
    getTransaction: (req: Request, res: Response) => Promise<void>;
    broadcastTransaction: (req: Request, res: Response) => Promise<void>;
    createSwap: (req: Request, res: Response) => Promise<void>;
    createReverseSwap: (req: Request, res: Response) => Promise<void>;
    streamSwapStatus: (req: Request, res: Response) => void;
    /**
     * Validates that all required arguments were provided in the body correctly
     *
     * @returns the validated arguments
     */
    private validateBody;
    errorResponse: (res: Response, error: any, statusCode?: number) => void;
    private successResponse;
    private createdResponse;
    private writeErrorResponse;
    private setContentTypeJson;
}
export default Controller;
