import Logger from '../Logger';
import Report from '../report/Report';
import BoltzClient from '../boltz/BoltzClient';
declare type BackupConfig = {
    email: string;
    privatekeypath: string;
    bucketname: string;
    interval: string;
    backenddbpath: string;
};
declare class BackupScheduler {
    private logger;
    private dbpath;
    private config;
    private boltz;
    private report;
    private bucket?;
    constructor(logger: Logger, dbpath: string, config: BackupConfig, boltz: BoltzClient, report: Report);
    private static getDate;
    /**
     * Adds a leading 0 to the provided number if it is smalled than 10
     */
    private static addLeadingZeros;
    uploadDatabases: (date: Date) => Promise<void>;
    uploadReport: () => Promise<void>;
    private uploadFile;
    private uploadString;
    private subscribeChannelBackups;
}
export default BackupScheduler;
export { BackupConfig };
