"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
const Utils_1 = require("../../Utils");
class Pair extends sequelize_1.Model {
}
Pair.load = (sequelize) => {
    Pair.init({
        id: { type: new sequelize_1.DataTypes.STRING(255), primaryKey: true },
        base: { type: new sequelize_1.DataTypes.STRING(255), allowNull: false },
        quote: { type: new sequelize_1.DataTypes.STRING(255), allowNull: false },
        rate: { type: new sequelize_1.DataTypes.FLOAT(), allowNull: true },
    }, {
        sequelize,
        tableName: 'pairs',
        timestamps: false,
    });
    Pair.beforeBulkCreate(pairs => pairs.forEach(pair => pair.id = Utils_1.getPairId(pair)));
    Pair.beforeCreate((pair) => { pair.id = Utils_1.getPairId(pair); });
};
exports.default = Pair;
//# sourceMappingURL=Pair.js.map