"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
const Pair_1 = __importDefault(require("./Pair"));
class ReverseSwap extends sequelize_1.Model {
}
ReverseSwap.load = (sequelize) => {
    ReverseSwap.init({
        id: { type: new sequelize_1.DataTypes.STRING(255), primaryKey: true, allowNull: false },
        fee: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: false },
        minerFee: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: false },
        pair: { type: new sequelize_1.DataTypes.STRING(255), allowNull: false },
        orderSide: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: false },
        status: { type: new sequelize_1.DataTypes.STRING(255), allowNull: true },
        invoice: { type: new sequelize_1.DataTypes.STRING(255), allowNull: false },
        onchainAmount: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: false },
        preimage: { type: new sequelize_1.DataTypes.STRING(255), allowNull: true },
        transactionId: { type: new sequelize_1.DataTypes.STRING(255), allowNull: false },
    }, {
        sequelize,
        tableName: 'reverseSwaps',
    });
    ReverseSwap.belongsTo(Pair_1.default, {
        foreignKey: 'pair',
    });
};
exports.default = ReverseSwap;
//# sourceMappingURL=ReverseSwap.js.map