"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
const Pair_1 = __importDefault(require("./Pair"));
class Swap extends sequelize_1.Model {
}
Swap.load = (sequelize) => {
    Swap.init({
        id: { type: new sequelize_1.DataTypes.STRING(255), primaryKey: true, allowNull: false },
        fee: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: false },
        routingFee: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: true },
        minerFee: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: true },
        pair: { type: new sequelize_1.DataTypes.STRING(255), allowNull: false },
        orderSide: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: false },
        status: { type: new sequelize_1.DataTypes.STRING(255), allowNull: true },
        invoice: { type: new sequelize_1.DataTypes.STRING(255), unique: true, allowNull: false },
        onchainAmount: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: true },
        lockupAddress: { type: new sequelize_1.DataTypes.STRING(255), allowNull: false },
        lockupTransactionId: { type: new sequelize_1.DataTypes.STRING(255), allowNull: true },
    }, {
        sequelize,
        tableName: 'swaps',
        indexes: [
            {
                unique: true,
                fields: ['id', 'invoice'],
            },
        ],
    });
    Swap.belongsTo(Pair_1.default, {
        foreignKey: 'pair',
    });
};
exports.default = Swap;
//# sourceMappingURL=Swap.js.map