/// <reference types="node" />
import { EventEmitter } from 'events';
interface DiscordClient {
    on(event: 'message', listener: (message: string) => void): this;
    emit(event: 'message', message: string): boolean;
    on(event: 'error', listener: (error: Error) => void): this;
    emit(event: 'error', error: Error): boolean;
}
declare class DiscordClient extends EventEmitter {
    private token;
    private channelName;
    private prefix;
    private client;
    private channel?;
    constructor(token: string, channelName: string, prefix: string);
    init: () => Promise<void>;
    sendMessage: (message: string) => Promise<void>;
    private listenForMessages;
}
export default DiscordClient;
