"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("events");
const discord_js_1 = require("discord.js");
class DiscordClient extends events_1.EventEmitter {
    constructor(token, channelName, prefix) {
        super();
        this.token = token;
        this.channelName = channelName;
        this.prefix = prefix;
        this.channel = undefined;
        this.init = () => __awaiter(this, void 0, void 0, function* () {
            if (this.token === '') {
                throw 'no API token provided';
            }
            yield this.client.login(this.token);
            const { channels } = this.client;
            for (const channel of channels.values()) {
                if (channel instanceof discord_js_1.TextChannel) {
                    if (channel.name === this.channelName) {
                        this.channel = channel;
                    }
                }
            }
            if (!this.channel) {
                throw `Could not find Discord channel: ${this.channelName}`;
            }
            yield this.listenForMessages();
        });
        this.sendMessage = (message) => __awaiter(this, void 0, void 0, function* () {
            if (this.channel) {
                yield this.channel.send(`[${this.prefix}]: ${message}`);
            }
        });
        this.listenForMessages = () => __awaiter(this, void 0, void 0, function* () {
            if (this.channel) {
                this.client.on('message', (message) => {
                    if (message.author.bot)
                        return;
                    if (message.channel.id === this.channel.id) {
                        this.emit('message', message.content);
                    }
                });
            }
            this.client.on('error', (error) => {
                this.emit('error', error);
            });
        });
        this.client = new discord_js_1.Client();
    }
}
exports.default = DiscordClient;
//# sourceMappingURL=DiscordClient.js.map