import Logger from '../Logger';
import Service from '../service/Service';
import { CurrencyConfig } from '../consts/Types';
import BackupScheduler from '../backup/BackupScheduler';
import BoltzClient from '../boltz/BoltzClient';
declare type NotificationConfig = {
    token: string;
    channel: string;
    prefix: string;
    interval: number;
};
declare class NotificationProvider {
    private logger;
    private service;
    private boltz;
    private backup;
    private config;
    private currencies;
    private readonly backendName;
    private timer;
    private discord;
    private walletAlerts;
    private localBalanceAlerts;
    private remoteBalanceAlerts;
    private disconnected;
    constructor(logger: Logger, service: Service, boltz: BoltzClient, backup: BackupScheduler, config: NotificationConfig, currencies: CurrencyConfig[]);
    init: () => Promise<void>;
    disconnect: () => void;
    private checkConnections;
    private checkConnection;
    private checkBalances;
    private checkBalance;
    private listenToDiscord;
    private listenToBoltz;
    private listenToService;
    private sendAlert;
    private sendRelief;
    private sendLostConnection;
    private sendReconnected;
    private formatBalances;
    private getBalanceName;
}
export default NotificationProvider;
export { NotificationConfig };
