import Logger from '../Logger';
import { PairConfig } from '../consts/Types';
import BoltzClient from '../boltz/BoltzClient';
declare class FeeProvider {
    private logger;
    private boltz;
    percentageFees: Map<string, number>;
    static transactionSizes: {
        normalClaim: number;
        reverseLockup: number;
        reverseClaim: number;
    };
    constructor(logger: Logger, boltz: BoltzClient);
    init: (pairs: PairConfig[]) => void;
    getFee: (pair: string, chainCurrency: string, amount: number, isReverse: boolean) => Promise<{
        baseFee: number;
        percentageFee: number;
    }>;
    private getBaseFee;
}
export default FeeProvider;
