import Swap from '../db/models/Swap';
import ReverseSwap from '../db/models/ReverseSwap';
import SwapRepository from '../service/SwapRepository';
import ReverseSwapRepository from '../service/ReverseSwapRepository';
declare type SwapArrays = {
    swaps: Swap[];
    reverseSwaps: ReverseSwap[];
};
declare class Report {
    private swapRepository;
    private reverseSwapRepository;
    constructor(swapRepository: SwapRepository, reverseSwapRepository: ReverseSwapRepository);
    static cli: (argv: any) => Promise<void>;
    /**
     * Gets all successful (reverse) swaps
     */
    static getSuccessfulSwaps: (swapRepository: SwapRepository, reverseSwapRepository: ReverseSwapRepository) => Promise<SwapArrays>;
    /**
     * Gets all failed (reverse) swaps
     */
    static getFailedSwaps: (swapRepository: SwapRepository, reverseSwapRepository: ReverseSwapRepository) => Promise<SwapArrays>;
    generate: () => Promise<string>;
    private swapsToEntries;
    private arrayToCsv;
    private formatDate;
    private formatAmount;
    private getSwapType;
}
export default Report;
