"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Utils_1 = require("../Utils");
const Enums_1 = require("../consts/Enums");
exports.default = {
    CURRENCY_NOT_SUPPORTED_BY_BACKEND: (currency) => ({
        message: `currency is not support by backend: ${currency}`,
        code: Utils_1.concatErrorCode(Enums_1.ErrorCodePrefix.Service, 0),
    }),
    PAIR_NOT_SUPPORTED: (pairId) => ({
        message: `pair is not supported: ${pairId}`,
        code: Utils_1.concatErrorCode(Enums_1.ErrorCodePrefix.Service, 1),
    }),
    ORDER_SIDE_NOT_SUPPORTED: (orderSide) => ({
        message: `order side not supported: ${orderSide}`,
        code: Utils_1.concatErrorCode(Enums_1.ErrorCodePrefix.Service, 2),
    }),
    EXCEED_MAXIMAL_AMOUNT: (amount, maximalAmount) => ({
        message: `${amount} is more than maximal ${maximalAmount}`,
        code: Utils_1.concatErrorCode(Enums_1.ErrorCodePrefix.Service, 3),
    }),
    BENEATH_MINIMAL_AMOUNT: (amount, minimalAmount) => ({
        message: `${amount} is less than minimal ${minimalAmount}`,
        code: Utils_1.concatErrorCode(Enums_1.ErrorCodePrefix.Service, 4),
    }),
    SWAP_WITH_INVOICE_EXISTS_ALREADY: () => ({
        message: 'a swap with this invoice exists already',
        code: Utils_1.concatErrorCode(Enums_1.ErrorCodePrefix.Service, 5),
    }),
    REVERSE_SWAPS_DISABLED: () => ({
        message: 'reverse swaps are disabled',
        code: Utils_1.concatErrorCode(Enums_1.ErrorCodePrefix.Service, 6),
    }),
    TRANSACTION_NOT_FINAL: () => ({
        message: 'please wait until your lockup transaction has 10 confirmations before you try to refund',
        code: Utils_1.concatErrorCode(Enums_1.ErrorCodePrefix.Service, 7),
    }),
    INVOICE_COULD_NOT_BE_PAID: () => ({
        message: 'invoice could not be paid',
        code: Utils_1.concatErrorCode(Enums_1.ErrorCodePrefix.Service, 8),
    }),
    ONCHAIN_HTLC_TIMED_OUT: () => ({
        message: 'onchain HTLC timed out',
        code: Utils_1.concatErrorCode(Enums_1.ErrorCodePrefix.Service, 9),
    }),
};
//# sourceMappingURL=Errors.js.map