"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
const Pair_1 = __importDefault(require("../db/models/Pair"));
class PairRepository {
    constructor() {
        this.getPairs = () => __awaiter(this, void 0, void 0, function* () {
            return Pair_1.default.findAll({});
        });
        this.addPair = (pair) => __awaiter(this, void 0, void 0, function* () {
            return Pair_1.default.create(pair);
        });
        this.removePair = (pair) => __awaiter(this, void 0, void 0, function* () {
            return Pair_1.default.destroy({
                where: {
                    base: {
                        [sequelize_1.Op.eq]: pair.base,
                    },
                    quote: {
                        [sequelize_1.Op.eq]: pair.quote,
                    },
                },
            });
        });
        this.dropTable = () => __awaiter(this, void 0, void 0, function* () {
            return Pair_1.default.drop();
        });
    }
}
exports.default = PairRepository;
//# sourceMappingURL=PairRepository.js.map