"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Get the BIP21 prefix for a currency
 */
const getBip21Prefix = (symbol) => {
    return symbol === 'BTC' ? 'bitcoin' : 'litecoin';
};
/**
 * Encode a BIP21 payment request
 */
exports.encodeBip21 = (symbol, address, satoshis, label) => {
    let request = `${getBip21Prefix(symbol)}:${address}?amount=${satoshis / 100000000}`;
    if (label) {
        request += `&label=${label.replace(/ /g, '%20')}`;
    }
    return request;
};
//# sourceMappingURL=PaymentRequestUtils.js.map