import { WhereOptions } from 'sequelize';
import ReverseSwap from '../db/models/ReverseSwap';
declare class ReverseSwapRepository {
    getReverseSwaps: (options?: import("sequelize/types").WhereAttributeHash | import("sequelize/types").AndOperator | import("sequelize/types").OrOperator | import("sequelize/types/lib/utils").Where | undefined) => Promise<ReverseSwap[]>;
    getReverseSwap: (options: WhereOptions) => Promise<ReverseSwap | null>;
    addReverseSwap: (reverseSwap: {
        id: string;
        fee: number;
        pair: string;
        invoice: string;
        minerFee: number;
        orderSide: number;
        onchainAmount: number;
        transactionId: string;
        status?: string | undefined;
        preimage?: string | undefined;
    }) => Promise<ReverseSwap>;
    setReverseSwapStatus: (reverseSwap: ReverseSwap, status: string) => Promise<ReverseSwap>;
    setInvoiceSettled: (reverseSwap: ReverseSwap, preimage: string) => Promise<ReverseSwap>;
    setTransactionRefunded: (reverseSwap: ReverseSwap, minerFee: number) => Promise<ReverseSwap>;
    dropTable: () => Promise<void>;
}
export default ReverseSwapRepository;
