"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Enums_1 = require("../consts/Enums");
const ReverseSwap_1 = __importDefault(require("../db/models/ReverseSwap"));
class ReverseSwapRepository {
    constructor() {
        this.getReverseSwaps = (options) => __awaiter(this, void 0, void 0, function* () {
            return ReverseSwap_1.default.findAll({
                where: options,
            });
        });
        this.getReverseSwap = (options) => __awaiter(this, void 0, void 0, function* () {
            return ReverseSwap_1.default.findOne({
                where: options,
            });
        });
        this.addReverseSwap = (reverseSwap) => __awaiter(this, void 0, void 0, function* () {
            return ReverseSwap_1.default.create(reverseSwap);
        });
        this.setReverseSwapStatus = (reverseSwap, status) => __awaiter(this, void 0, void 0, function* () {
            return reverseSwap.update({
                status,
            });
        });
        this.setInvoiceSettled = (reverseSwap, preimage) => __awaiter(this, void 0, void 0, function* () {
            return reverseSwap.update({
                preimage,
                status: Enums_1.SwapUpdateEvent.InvoiceSettled,
            });
        });
        this.setTransactionRefunded = (reverseSwap, minerFee) => __awaiter(this, void 0, void 0, function* () {
            return reverseSwap.update({
                minerFee: reverseSwap.minerFee + minerFee,
                status: Enums_1.SwapUpdateEvent.TransactionRefunded,
            });
        });
        this.dropTable = () => __awaiter(this, void 0, void 0, function* () {
            return ReverseSwap_1.default.drop();
        });
    }
}
exports.default = ReverseSwapRepository;
//# sourceMappingURL=ReverseSwapRepository.js.map