import { WhereOptions } from 'sequelize';
import Swap from '../db/models/Swap';
declare class SwapRepository {
    getSwaps: (options?: import("sequelize/types").WhereAttributeHash | import("sequelize/types").AndOperator | import("sequelize/types").OrOperator | import("sequelize/types/lib/utils").Where | undefined) => Promise<Swap[]>;
    getSwap: (options: WhereOptions) => Promise<Swap | null>;
    addSwap: (swap: {
        id: string;
        fee: number;
        pair: string;
        invoice: string;
        orderSide: number;
        lockupAddress: string;
        status?: string | undefined;
        minerFee?: number | undefined;
        routingFee?: number | undefined;
        onchainAmount?: number | undefined;
        lockupTransactionId?: string | undefined;
    }) => Promise<Swap>;
    setSwapStatus: (swap: Swap, status: string) => Promise<Swap>;
    setLockupTransactionId: (swap: Swap, lockupTransactionId: string, onchainAmount: number) => Promise<Swap>;
    setInvoicePaid: (swap: Swap, routingFee: number) => Promise<Swap>;
    setMinerFee: (swap: Swap, minerFee: number) => Promise<Swap>;
    dropTable: () => Promise<void>;
}
export default SwapRepository;
