"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Swap_1 = __importDefault(require("../db/models/Swap"));
const Enums_1 = require("../consts/Enums");
class SwapRepository {
    constructor() {
        this.getSwaps = (options) => __awaiter(this, void 0, void 0, function* () {
            return Swap_1.default.findAll({
                where: options,
            });
        });
        this.getSwap = (options) => __awaiter(this, void 0, void 0, function* () {
            return Swap_1.default.findOne({
                where: options,
            });
        });
        this.addSwap = (swap) => __awaiter(this, void 0, void 0, function* () {
            return Swap_1.default.create(swap);
        });
        this.setSwapStatus = (swap, status) => __awaiter(this, void 0, void 0, function* () {
            return swap.update({
                status,
            });
        });
        this.setLockupTransactionId = (swap, lockupTransactionId, onchainAmount) => __awaiter(this, void 0, void 0, function* () {
            return swap.update({
                onchainAmount,
                lockupTransactionId,
                status: Enums_1.SwapUpdateEvent.TransactionConfirmed,
            });
        });
        this.setInvoicePaid = (swap, routingFee) => __awaiter(this, void 0, void 0, function* () {
            return swap.update({
                routingFee,
                status: Enums_1.SwapUpdateEvent.InvoicePaid,
            });
        });
        this.setMinerFee = (swap, minerFee) => __awaiter(this, void 0, void 0, function* () {
            return swap.update({
                minerFee,
                status: Enums_1.SwapUpdateEvent.TransactionClaimed,
            });
        });
        this.dropTable = () => __awaiter(this, void 0, void 0, function* () {
            return Swap_1.default.drop();
        });
    }
}
exports.default = SwapRepository;
//# sourceMappingURL=SwapRepository.js.map